<!-- ============================================================== -->
<!--  Contenido de las canchas  -->
<!-- ============================================================== -->
<div class="container-fluid">
    <!--inicio de modal Guardar-->
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal" data-whatever="@mdo">Nuevo</button>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel" >Insertar Cancha</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <span class="login100-form-title">
                    </span>
                    <form class="login100-form validate-form" id="formulario" method="POST" action="/admin_cancha_guardar">
                        <input type="hidden" value="0" name="external_editar" id="external_editar">
                        <div class="form-group row">
                            <label class="col-sm-4 col-form-label">Nro Cancha</label>
                            <input class="col-sm-7 form-control" type="text" name="nroCancha" placeholder="Nro Cancha" id="nroCancha">
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-4 col-form-label">Precio</label>
                            <input class="col-sm-7 form-control" type="text" name="precio" placeholder="Valor Geneal" id="precio">
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!--fin de modal Guardar-->

    <!--inicio de modal estado-->
    <div class="modal fade" id="modal_estado" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel" >Modificar estado</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <span class="login100-form-title">
                    </span>
                    <form class="login100-form validate-form" id="formulario" method="POST" action="/admin_cancha_estado">
                        <input type="hidden" value="0" name="external_desactivar" id="external_desactivar">
                        <div class="form-group row">
                            <label class="col-sm-3 col-form-label">Estado</label>
                            <select class="col-sm-8 form-control" name="estado_cancha" id="estado_cancha">
                                <option value="true">Activa</option>
                                <option value="false">Desactiva</option>
                            </select>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-3 col-form-label">Descripción</label>
                            <textarea rows="4" cols="50" class="col-sm-8 form-control" name="text_descripcion" id="text_descripcion" placeholder="Agrege una descripción"></textarea>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    </form>
                    <script>
                        $('#estado_cancha').change(function () {
                            $('#text_descripcion').val('');
                        });
                    </script>
                </div>
            </div>
        </div>
    </div>
    <!--fin de modal estado-->

    <!-- Row -->
    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-block">

                    <h4 class="card-title">CANCHAS</h4>
                    <div class="table-responsive m-t-40">
                        {{#if error}}
                        <div class="alert alert-danger alert-dismissible fade show" role="alert" style="width: 23%">
                            {{error}}!!
                            <button type="button" class="btn btn-danger" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        {{/if}}
                        {{#if info}}
                        <div class="alert alert-success alert-dismissible fade show" role="alert" style="width: 23%">
                            {{info}}!!
                            <button type="button" class="btn btn-success" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        {{/if}}


                        <table class="table stylish-table">
                            <thead>
                                <tr>
                                    <th >Nro</th>
                                    <th>Precio</th>
                                    <th>Estado</th>
                                    <th>Descripción</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each cancha}}
                                <tr>
<!--                                    listar canchas-->
                                    <td>{{this.nroCancha}}</td>
                                    <td>$ {{this.precio}}</td>
                                    <td>{{#if this.estado}}Activa{{else}}Desactiva{{/if}}</td>
                                    <td>{{this.descripcion}}</td>
                                    <td>
                                        <a class="btn btn-success" href="#" data-toggle="modal" data-target="#exampleModal" data-whatever="@mdo" id="{{this.external_id}}" >Editar</a>
                                        <a class="btn btn-success" href="#" data-toggle="modal" data-target="#modal_estado" data-whatever="@mdo" id="{{@key}}" >Editar Estado</a>
                                    </td>
                                </tr>
                            <script>
                                //cargar canchas para editar
                                $('#{{this.external_id}}').click(function () {
                                    $('#nroCancha').val('{{this.nroCancha}}');
                                    $('#precio').val('{{this.precio}}');
                                    $('#external_editar').val('{{this.external_id}}');
                                });
                                $('#{{@key}}').click(function () {
                                    $('#external_desactivar').val('{{this.external_id}}');
                                    $('#estado_cancha').val('{{this.estado}}');
                                    $('#text_descripcion').val('{{this.descripcion}}');
                                });
                            </script>
                            {{/each}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Row -->
</div>
<script>
    $(document).ready(function () {
        if('{{info}}'==='Se ha creado correctamente'){
            enviarToken();
        }
    });
    //enviar token
    function enviarToken() {
        $.ajax({
            url: "/obtener_token",
            type: 'GET',
            dataType: 'json',
            success: function (data, textStatus, jqXHR) {
                $.each(data, function (i, item) {
                    if (item.token) {
                        $.ajax({
                            type: 'POST',
                            url: "https://fcm.googleapis.com/fcm/send",
                            headers: {
                                Authorization: 'key=' + 'AAAANssG_K0:APA91bHt_4T4IaofrlQEOeZhCesvCIOuSNFtPH3uphftIolOAgT5NKVMRviTmm2etqPLIHs7Mj65odhYbQ5SAkIIQqaQ7kpE1KNi8HK6FhDLcpAxpDcsuJi_kQ5uKYFF6SRn5P13YDWO'
                            },
                            contentType: 'application/json',
                            dataType: 'json',
                            collapse_key: "new_messages",
                            data: JSON.stringify({
                                "to": item.token,
                                "notification": {
                                    "title": "Nuevas Canchas", 
                                    "body": "Hay nuevos canchas disponibles",
                                    "icon": "/user.png",
                                    "click_action": "/"
                                }
                            }),
                            success: function (response) {
                                console.log(response);
                                console.log(notification);
                            },
                            error: function (xhr, status, error) {
                                console.log(xhr.error);
                            }
                        });
                    }
                });
            },
            error: function (xhr, status, error) {
                console.log(xhr.error);
            }
        });
    }
    //fin de enviar token
</script>